Bug 650602 - Review Request: clamsap - Virus Scan Adapter (VSA) for ClamAV
Review Request: clamsap - Virus Scan Adapter (VSA) for ClamAV
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://sourceforge.net/projects/clamsap/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-07 06:48 EST by Markus Strehle
Modified: 2013-10-19 10:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:08:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Markus Strehle 2010-11-07 06:48:00 EST
Spec URL: http://sourceforge.net/projects/clamsap/
SRPM URL: http://download.opensuse.org/repositories/home:/ehhle/
Description: This package provides two shared libraries which link SAP (NW-VSI) and ClamAV. The library clamsap links directly to libclamav engine library, the library clamdsap uses the clamd scan daemon to scan for viruses. Both libraries enable a SAP system to perform antivirus scans.
An example would be a ClamAV integration in SAP NetWeaver 730 (java and ABAP)
Comment 1 Markus Strehle 2010-11-07 06:54:17 EST
if possible I would use opensuse.org to provide the RPMs, see
http://download.opensuse.org/repositories/home:/ehhle/
I already ask OpenSuse to make the clamsap RPMs avaiable in security Project.
Comment 2 Martin Gieseking 2010-11-10 04:55:33 EST
Hi Markus,

since I can't find you in the packager group, this is probably your first Fedora package submission. If so, please add FE-NEEDSPONSOR to the Blocks field above because you need a sponsor who approves you. For further information see the following pages: 

http://fedoraproject.org/wiki/PackageMaintainers/Join
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Please also provide complete URLs to the Spec and SRPM so that potential reviewers can directly access these files without having to browse through third-party websites.
Comment 3 Markus Strehle 2010-11-10 05:17:12 EST
Hi Martin,

ok here are more information:

Currently I have the same project on OpenSuse, see:

https://build.opensuse.org/package/show?package=clamsap&project=home%3Aehhle

The Sources of this project can be found at:
https://build.opensuse.org/package/files?package=clamsap&project=home%3Aehhle

The SPEC is available here:
https://build.opensuse.org/package/view_file?file=clamsap.spec&package=clamsap&project=home%3Aehhle&srcmd5=c249c23ec18e7c262a9ea67d4e208b44

or withint the package.

The origin project site is on SourceForge:
http://sourceforge.net/projects/clamsap/

The SRPM can be found OpenSuse build repository :
http://download.opensuse.org/repositories/home:/ehhle/RedHat_RHEL-5/src/

I hope this helps, regards,
-markus
Comment 4 Martin Gieseking 2010-11-10 05:56:59 EST
Hi Markus,

thanks for the additional information. 

Creating packages for Fedora requires to follow quite a few specific packaging guidelines [1,2]. Since the packaging standards differ between the various distros, it's usually necessary to provide separate specs. Your current spec file doesn't satisfy the guidelines and I recommend to rewrite it from scratch, e.g. with the help of rpmdev-newspec.

[1] https://fedoraproject.org/wiki/Packaging/Guidelines
[2] https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Comment 5 Markus Strehle 2010-11-10 16:08:53 EST
hi,

sorry, but I will go the other way and request a location for my existing RPM at:
https://fedorahosted.org/web/new

Your colleague Frank Danapfel has advised me to go this way, because ClamAV is not part of Enterprise RedHat.

regards,-markus

Note You need to log in before you can comment on or make changes to this bug.